/*******************************************************************
 * 
 *  Author: Peter van Sebille (peter@yipton.net)
 *
 *  (c) Copyright 2016, Peter van Sebille
 *  All Rights Reserved
 *
 *******************************************************************/

#ifndef __THEME_MENU_MODEL_H
#define __THEME_MENU_MODEL_H

#include "sdlmenu2dmodel.h"

class ThemeModel;

class ThemeMenuModel
{
public:
	ThemeMenuModel(ThemeModel& aThemeModel) : iThemeModel(aThemeModel) {}
	void Construct();
	sdl::Menu* GetMenu() { return iMenu; }
private:
	void PopulateMenu(sdl::Menu* aMenu);
	sdl::Menu*		iMenu = nullptr; // don't own it
	ThemeModel& iThemeModel;
};



#endif // __THEME_MENU_MODEL_H
