############################################
#
# Memory jog...
#
#############################################

if (($ARGV[0] ne "/quiet") && ($ARGV[1] ne "/quiet") && ($ARGV[2] ne "/quiet"))
{
	print "Have you updated the version numbers? (y/n)\n";
	chop ($question = <STDIN>);
	($question eq "y") or die "\nBailing out\n";

	print "Have you built the release version? (y/n)\n";
	chop ($question = <STDIN>);
	($question eq "y") or die "\nBailing out\n";

	print "Have you updated the Release Notes? (y/n)\n";
	chop ($question = <STDIN>);
	($question eq "y") or die "\nBailing out\n";
}

#
# Determine rgl version from version.h
#
$version_filename =  "..\\..\\src\\app\\version.h";
open my $fh, '<', $version_filename or die "error opening $version_filename: $!";
my $version_data = do { local $/; <$fh> };
if (($ignore1, $ignore1, $rgl_version) = split / /, $version_data)
{
	chomp($rgl_version);
}

if ($rgl_version == "")
{
	die "Could not determine rgl version, bailing out\n";
}

#
# empty files in target directory (if any)
#
system "mkdir ..\\..\\release\\win32\\$rgl_version";

#
# Zip up source code
#
system "perl -S zipfiles.pl ..\\..\\release\\win32\\$rgl_version\\rgl-win32-src-$rgl_version < source.lst";
system "perl -S zipfiles.pl ..\\..\\release\\win32\\$rgl_version\\rgl-win32-$rgl_version < binary.lst";
