$winzip = (shift @ARGV) . ".zip";
if (-e $winzip) {unlink $winzip;}
if (-d ".\\tmpdir") {system "cmd /C rd /s/q .\\tmpdir";}

#
# First read stdin to array
#
my @input = ();
while (<STDIN>) {
	next if ($_ =~ /^#/);
	next if ($_ eq '');
	chomp($_);
	push(@input, $_);
}

foreach $line (@input) {
	if (($src, $dst, $recursive) = split / /, $line)
	{
		if ($dst eq "") {$dst = $src;}

		if ($recursive eq "-r" || $recursive eq "")
		{
				#
				# Unless wildcards are specified, verify that $src exists
				#
			if (-e $src || $src =~ /\*/)
			{
				if ($dst =~ /^\\/) {$dst = substr $dst, 1;}
				$dst = substr $dst, 0, (rindex $dst, "\\") + 1;
				if ($recursive eq "-r") 
				{
					$xcopy_param = "/S";
				}
				else 
				{
					$xcopy_param = "";
				}
				system "xcopy $xcopy_param $src .\\tmpdir\\$dst";
			}
			else
			{
				print "\nERROR: $src does not exist\n";
				exit;
			}
		}
		else
		{
				print "\nERROR: invalid option $recursive in line \"$line\"\n";
				exit;
		}
	}
}

system "wzzip -rp $winzip .\\tmpdir\\*.*";
system "cmd /C rd /s/q .\\tmpdir";
