/*******************************************************************
 * 
 *  Author: Peter van Sebille (peter@yipton.net)
 *
 *  (c) Copyright 2016, Peter van Sebille
 *  All Rights Reserved
 *
 *******************************************************************/

#ifndef __APP_MENU_DEFS_H
#define __APP_MENU_DEFS_H

const std::string KMenuCmdClearRecentGames("Clear recent games");
const std::string KMenuCmdClearFavs("Clear favorites games");
const std::string KMenuCmdConfigureFavsMenu("Configure favorites menu");
const std::string KMenuCmdConfigureRecentGamesMenu("Configure recent games menu");
const std::string KMenuCmdConfigureJoystickNavigation("Configure navigation");
const std::string KMenuCmdConfigureJoystickScrollSpeed("Configure scroll speed");
const std::string KMenuCmdConfigureJoystickButtons("Configure buttons");
const std::string KMenuCmdFilterCategories("Filter categories");
const std::string KMenuCmdFilterGameEngines("Filter game engines");
const std::string KMenuCmdAudioEvents("Audio events");
const std::string KMenuCmdAudioVolume("Audio volume");
const std::string KMenuCmdVideoSettings("Videosnap settings");
const std::string KMenuCmdAbout("About");

const std::string KMenuNameRecentGames("Recent games");
const std::string KMenuNameFavorites("My favorites");

const std::string KMenuNameTheme("Select theme");

const std::string KMenuTypeGame("game");
const std::string KMenuTypeFavs("favs");
const std::string KMenuTypeRecent("recent");
const std::string KMenuTypeSystem("system");
const std::string KMenuTypeSettingsSystemMenus("SettingsSystemMenus");
const std::string KMenuTypeSettingsThemeMenu("SettingsThemeMenu");


#endif // __APP_MENU_DEFS_H