/*******************************************************************
 * 
 *  Author: Peter van Sebille (peter@yipton.net)
 *
 *  (c) Copyright 2016, Peter van Sebille
 *  All Rights Reserved
 *
 *******************************************************************/

#ifndef __COMMON_SDL_RENDERER_H
#define __COMMON_SDL_RENDERER_H

#include "sdlbase.h"

namespace sdl
{
	SDL_Surface* CreateSurfaceFromSVG(const std::string& aSVGText, void** aSurfaceData);
	SDL_Surface* CreateSurfaceFromTTF(TTF_Font& aFont, const std::string& aText, const TColor& aColor);
	SDL_Surface* CreateSurfaceFromFile(const std::string& aFileName);
	
} // namespace sdl

#endif // __COMMON_SDL_RENDERER_H