/*******************************************************************
 * 
 *  Author: Peter van Sebille (peter@yipton.net)
 *
 *  (c) Copyright 2016, Peter van Sebille
 *  All Rights Reserved
 *
 *******************************************************************/

#ifndef __RENDER_FACTORY_H
#define __RENDER_FACTORY_H

#include "sdlbase.h"
#include "../sdlrendererinterface.h"

namespace sdl
{
	class RenderFactory
	{
	public:
		static IRenderer* CreateRenderer(const std::string& aRenderer, const TSize& aSize, const std::string& aWindowTitle, bool aFullScreen);
	};
	
} // namespace sdl

#endif // __RENDER_FACTORY_H
