/*******************************************************************
 * 
 *  Author: Peter van Sebille (peter@yipton.net)
 *
 *  (c) Copyright 2016, Peter van Sebille
 *  All Rights Reserved
 *
 *******************************************************************/

#include "sdlapplicationwidget.h"
#include "sdlthemeproperties.h"

using namespace sdl;
		
void ApplicationWidget::Construct()
{
	SetName("ApplicationWidget");
	SetRect(TRect(0, 0, SDLThemeProperties.iScreen.iWidth, SDLThemeProperties.iScreen.iHeight));
	iBgBitmap.SetPosition(0, 0); // using EDrawModeNormal so no need to SetSize
	iBgBitmap.SetDrawMode(ImageWidget::TDrawMode::ENormal);
	
	AddWidget(iBgBitmap);
}
		
bool ApplicationWidget::HandleCommandMyself(TCommand aCommand)
{
	bool consumed = false;
	if (aCommand == TCommand::EQuit)
	{
		EventManager::InjectQuitEvent();
		consumed = true;
	}
	return consumed;
}

