/*******************************************************************
 * 
 *  Author: Peter van Sebille (peter@yipton.net)
 *
 *  (c) Copyright 2016, Peter van Sebille
 *  All Rights Reserved
 *
 *******************************************************************/

#include "sdlbuttonbar.h"
#include "sdleventmanager.h"


using namespace sdl;

bool ButtonBar::HandleCommandMyself(TCommand aCommand)
{
	bool consumed = false;
	
	switch (aCommand)
	{
		case TCommand::ELeft:
			if (HasFocussedWidget())
			{
				EventManager::SendCommand(TCommand::EFocusPrevious);
				consumed = true;
			}
			break;
			
		case TCommand::ERight:
			if (HasFocussedWidget())
			{
				EventManager::SendCommand(TCommand::EFocusNext);
				consumed = true;
			}
			break;
			
		default:
			break;
	}
	return consumed;
}
