/*******************************************************************
 * 
 *  Author: Peter van Sebille (peter@yipton.net)
 *
 *  (c) Copyright 2016, Peter van Sebille
 *  All Rights Reserved
 *
 *******************************************************************/

#ifndef __SDL_COMMANDS_H
#define __SDL_COMMANDS_H

namespace sdl 
{
	enum TCommand
	{
		ENone = 0,
		ELeft,
		ERight,
		EUp,
		EDown,
		EPageUp,
		EPageDown,
		ESelect,
		EBack,
		EDelete,
		EOK,
		ECancel,
		EFocusNext,
		EFocusPrevious,
		EQuit,
		EUserDefined = 1000
	};
}

#endif // __SDL_COMMANDS_H